osl::checkmate::Dfpn::CallAttack< P > Struct Template Reference

## Public Member Functions

| CallAttack (Dfpn *s)
void | operator() (Square) const

## Public Attributes

Dfpn * | search

## Detailed Description

template<osl::Player P>
struct osl::checkmate::Dfpn::CallAttack< P >

Definition at line 1259 of file dfpn.cc.

## Constructor & Destructor Documentation

## CallAttack()

template<osl::Player P>

osl::checkmate::Dfpn::CallAttack< P >::CallAttack | ( | Dfpn * | s | ) |

inline

Definition at line 1262 of file dfpn.cc.

References osl::checkmate::Dfpn::Dfpn(), and search.

## Member Function Documentation

## operator()()

template<osl::Player P>

void osl::checkmate::Dfpn::CallAttack< P >::operator() | ( | Square |  | ) | const

inline

Definition at line 1265 of file dfpn.cc.

References search.

## Member Data Documentation

## search

template<osl::Player P>

Dfpn* osl::checkmate::Dfpn::CallAttack< P >::search

Definition at line 1261 of file dfpn.cc.

Referenced by CallAttack(), and operator()().

The documentation for this struct was generated from the following file:

- dfpn.cc